> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ionq.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieve billing information for a specific job.

# Get job cost

Retrieve the billing information for a specific [job](/user-manual/glossary#job), including both estimated and actual [cost](/user-manual/glossary#cost) in USD. This shows how much [usage](/user-manual/glossary#usage) time the job consumed and the corresponding charges based on your [contract](/user-manual/glossary#contract) rates.

Learn more about [billing and budgets](/user-manual/projects#billing-and-budgets).


## OpenAPI

````yaml https://api.ionq.co/v0.4/api-docs GET /jobs/{UUID}/cost
openapi: 3.0.3
info:
  contact:
    email: support@ionq.co
    name: IonQ
    url: https://ionq.com/
  description: |
    *Last updated: April 30, 2026*
    IonQ's API for accessing the IonQ Quantum Cloud platform

    Please subscribe for automated updates when we perform maintenance or
    experience an outage.

    In addition, you may use the [status endpoint](#tag/status) to check the
    current status of our API.

    ## Authentication

    <SecurityDefinitions />
  title: IonQ Cloud Platform API
  version: v0.4
servers:
  - url: https://api.ionq.co/v0.4
security: []
paths:
  /jobs/{UUID}/cost:
    get:
      operationId: GetJobCost
      parameters:
        - in: path
          name: UUID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the cost of a job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetJobCostResponse'
        '429':
          description: >-
            Too Many Requests. To get a higher rate limit, please reach out to
            support@ionq.co
        '500':
          description: >-
            A generic server failure, please reach out to support@ionq.co for
            help with this error
        '502':
          description: >-
            Bad Gateway, this can be caused by misbehaving proxies, or by
            service issues. These can be retried, and downtime can be found on
            status.ionq.co
        '503':
          description: >-
            Service Unavailable, this is indicative of service outage, please
            check status.ionq.co
      security:
        - apiKeyAuth: []
      x-codeSamples:
        - lang: curl
          source: >
            curl
            "https://api.ionq.co/v0.4/jobs/0197379a-c3b8-7548-9da4-bbb7067311c1/cost"
            \
              -H "Authorization: apiKey your-api-key"
components:
  schemas:
    GetJobCostResponse:
      properties:
        dry_run:
          type: boolean
          example: false
        estimated_cost:
          properties:
            value:
              type: number
              format: double
              example: 24.83
            unit:
              type: string
              example: usd
          required:
            - value
            - unit
          type: object
        cost:
          properties:
            value:
              type: number
              format: double
              example: 24.83
            unit:
              type: string
              example: usd
          required:
            - value
            - unit
          type: object
      required:
        - dry_run
        - estimated_cost
      type: object
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      description: >-
        API keys are associated with a user and can be created on the [IonQ
        Quantum Cloud](https://cloud.ionq.com) application. To authenticate,
        prefix your API Key with `apiKey ` and place it in the `Authorization`
        request header. Ex: `Authorization: apiKey your-api-key`
      in: header
      name: Authorization
      type: apiKey

````